<template>
  <button
    id="button"
    class="flex flex-row p-1 space-x-1 justify-between items-center"
    @click="$emit('click')"
  >
    <slot />
    <label v-if="label" for="button" class="text-sm cursor-pointer">{{
      label
    }}</label>
  </button>
</template>

<script>
export default {
  name: 'BaseButton',
  props: {
    // eslint-disable-next-line vue/require-prop-types
    label: {
      required: false,
      default: false,
    },
  },
}
</script>
